### Signal

# Gtk CellRendererToggle::toggled

#### Declaration

    void
    toggled (
      GtkCellRendererToggle* self,
      gchar* path,
      gpointer user_data
    )

#### Description [src]

The ::toggled signal is emitted when the cell is toggled.

It is the responsibility of the application to update the model with the correct value to store at `path`. Often this is simply the opposite of the value currently stored at `path`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`path`

  Type: `gchar*`

  String representation of `GtkTreePath` describing the event location.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.